package com.zzys.lightting.user.dao.model;

import com.zzys.lightting.base.model.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:用户头像关联表
 * @Author: mimang
 * @Date: 2023/4/24
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "lt_user_photo_info")
@org.hibernate.annotations.Table(appliesTo = "lt_user_photo_info", comment = "用户头像")
public class UserPhotoInfo extends BaseEntity {

    @Column(name = "path", columnDefinition = "varchar(36)   COMMENT '路径'")
    private String path;

    @Column(name = "user_id", columnDefinition = "varchar(36)   COMMENT '用户ID'")
    private String userId;


    @Column(name = "create_time", columnDefinition = "varchar(20)   COMMENT '创建时间'")
    private String createTime;

    @Column(name = "update_time", columnDefinition = "varchar(20)   COMMENT '更新时间'")
    private String updateTime;
}
